Modify

Opened 11 years ago

Closed 11 years ago

Last modified 11 years ago

#363 closed defect (invalid)

openswan _updown script requires "ip route" command

Reported by: b.candler@… Owned by: developers
Priority: normal Milestone: 1.0-rc5
Component: packages Version:
Keywords: openswan ip _updown up-client Cc:

Description

Built WhiteRussian from SVN, modified to build openswan-2.4.5rc5, as it has a fix for Cisco PIX interoperability.

Discovered that the _updown script requires "ip route" which is not installed by default:

Jan  1 06:47:11 (none) kern.warn pluto[5050]: "pix" #2: initiating Quick Mode PSK+ENCRYPT+TUNNEL+PFS+UP+AGGRESSIVE {using isakmp#1}
Jan  1 06:47:12 (none) kern.warn pluto[5050]: "pix" #2: up-client output: /usr/lib/ipsec/_updown: 515: ip: not found
Jan  1 06:47:12 (none) kern.warn pluto[5050]: "pix" #2: up-client command exited with status 127
Jan  1 06:47:20 (none) kern.warn pluto[5050]: "pix" #2: discarding duplicate packet; already STATE_QUICK_I1

Suggested resolutions:

(1) Make the 'ip' package a dependency of openswan package

or

(2) Patch the _updown script so that it doesn't use "ip route"

Attachments (0)

Change History (2)

comment:1 Changed 11 years ago by nico

  • Resolution set to invalid
  • Status changed from new to closed

openswan package already depends on ip, according to source:branches/whiterussian/openwrt/package/openswan/ipkg/openswan.control :

depends: kmod-openswan, libgmp, ip

Can you check that you have the ip package installed and that your modified package is built with the right control file ?

comment:2 Changed 11 years ago by mbm

  • Milestone set to 1.0-rc5

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.